package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 收钱吧交易状态枚举
 *
 * @author ZYJ
 * @date 2023/3/24
 */
@Getter
@AllArgsConstructor
public enum UPayTradeStateEnum {

    /**
     * 收钱吧交易状态枚举
     * CREATED	订单已创建/支付中
     * PAID	订单支付成功
     * PAY_CANCELED	支付失败并且已经成功充正
     * PAY_ERROR	支付异常，不确定是否已经成功充正,请联系收钱吧客服确认是否支付成功
     * REFUNDED	已成功全额退款
     * PARTIAL_REFUNDED	已成功部分退款
     * REFUND_INPROGRESS	退款进行中
     * REFUND_ERROR	退款异常并且不确定第三方支付通道的最终退款状态
     * CANCELED	客户端发起的撤单已成功
     * CANCEL_ERROR	客户端发起的撤单异常并且不确定第三方支付通道的最终状态
     * CANCEL_INPROGRESS	撤单进行中
     * INVALID_STATUS_CODE	无效的状态码
     */
    CREATED("CREATED", "订单已创建/支付中"),
    PAID("PAID", "订单支付成功"),
    PAY_CANCELED("PAY_CANCELED", "支付失败并且已经成功充正"),
    PAY_ERROR("PAY_ERROR", "支付异常，不确定是否已经成功充正,请联系收钱吧客服确认是否支付成功"),
    REFUNDED("REFUNDED", "已成功全额退款"),
    PARTIAL_REFUNDED("PARTIAL_REFUNDED", "已成功部分退款"),
    REFUND_IN_PROGRESS("REFUND_INPROGRESS", "退款进行中"),
    REFUND_ERROR("REFUND_ERROR", "退款异常并且不确定第三方支付通道的最终退款状态"),
    CANCELED("CANCELED", "客户端发起的撤单已成功"),
    CANCEL_ERROR("CANCEL_ERROR", "客户端发起的撤单异常并且不确定第三方支付通道的最终状态"),
    CANCEL_IN_PROGRESS("CANCEL_INPROGRESS", "撤单进行中"),
    INVALID_STATUS_CODE("INVALID_STATUS_CODE", "无效的状态码"),;

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
